package macampcorp.macamp.game.challenges;

public class ChallengeReturn {
    public  static final int BAD_RESPONS = -3;
    public  static final int WAITING = -2;
    public  static final int ERROR = -1;
    public  static final int SUCCESS = 0;

    protected int mCode = WAITING;
    protected String mMessage = "Success";
    protected Challenge mFrom;

    public ChallengeReturn(Challenge c)
    {
        mFrom=c;
    }

    public ChallengeReturn(Challenge c, String msg)
    {
        mFrom=c;
        mMessage=msg;
    }

    public ChallengeReturn(Challenge c, int code, String msg)
    {
        mFrom=c;
        mCode=code;
        mMessage=msg;
    }

    public void set(Challenge c, int code, String msg)
    {
        mFrom=c;
        mCode=code;
        mMessage=msg;
    }



    public int getCode() {
        return mCode;
    }

    public void setCode(int mCode) {
        this.mCode = mCode;
    }

    public String getMessage() {
        return mMessage;
    }

    public void setMessage(String mMessage) {
        this.mMessage = mMessage;
    }

    public Challenge getFrom() {
        return mFrom;
    }

    public void setFrom(Challenge mResource) {
        this.mFrom = mResource;
    }
}
